
PASC/long Covid - Feature #6582

3 MONTH VISIT 

10/11/2022 10:16 - Ikanyeng Rulaganyang

Status: Resolved Start date: 10/11/2022

Priority: Urgent Due date: 22/11/2022

Assignee: Nimrod Munatsi % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Please add a 3 month visit to the telephone scheduling on MOTLHALA Study Follow up Telephone Calls  

Although the 3 month visit is a physical visit, we need the scheduling to remind us of the visits.

History

#1 - 21/11/2022 11:11 - Nimrod Munatsi

- Due date set to 22/11/2022

#2 - 21/11/2022 11:38 - Nimrod Munatsi

- Status changed from New to Resolved
